CS::Graphics Namespace Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
CS::Graphics Namespace Reference

Graphics and rendering related classes. More...

## Classes
struct | AlphaTestOptions
| Alpha test options. More...
struct | CoreRenderMesh
| Data required by the renderer to draw a mesh. More...
class | OverlayShaderVariableContextImpl
| iShaderVariableContext implementation that overlays (or merges) it's variables over the variables of a given parent context. More...
struct | RenderMesh
| Mesh data as returned by mesh plugins. More...
struct | RenderMeshIndexRange
| Start and end for a range of indices to render. More...
struct | RenderMeshModes
| Mesh render mode information. More...
class | RenderPriority
| Rendering priority. More...
class | ShaderVariableContextImpl
| Simple implementation for iShaderVariableContext. More...
class | ShaderVarNameParser
| Helper class to extract the actual shader var name and array indices given a shader var identifier containing both. More...
## Enumerations
enum | AlphaTestFunction { atfGreaterEqual, atfGreater, atfLowerEqual, atfLower }
| Alpha test function. More...
enum | MeshCullMode { cullNormal, cullFlipped, cullDisabled }
| Culling mode of a mesh. More...
## Functions
static MeshCullMode | GetFlippedCullMode (MeshCullMode cullMode)
| Returns inverse culling mode for a given culling mode.

## Detailed Description

Graphics and rendering related classes.

## Enumeration Type Documentation

enum CS::Graphics::AlphaTestFunction

Alpha test function.

The alpha test function specifies how the source pixel alpha value (left side of comparison) and alpha test threshold value (right side of comparison) are compared. If the comparison is `true`, the pixel is drawn; otherwise, it is discarded.

Enumerator:

  atfGreaterEqual | Draw pixel if source alpha value is greater or equal than the threshold value.
  atfGreater | Draw pixel if source alpha value is greater than the threshold value.
  atfLowerEqual | Draw pixel if source alpha value is lower or equal than the threshold value.
  atfLower | Draw pixel if source alpha value is lower than the threshold value.

Definition at line 96 of file rendermesh.h.

enum CS::Graphics::MeshCullMode

Culling mode of a mesh.

Enumerator:

  cullNormal | Normal culling.
  cullFlipped | Flipped culling.
  cullDisabled | Culling is disabled.

Definition at line 62 of file rendermesh.h.

## Function Documentation

static MeshCullMode CS::Graphics::GetFlippedCullMode | ( | MeshCullMode | cullMode | ) | `[inline, static]`

Returns inverse culling mode for a given culling mode.

Specifically, for "normal" culling, "flipped" is returned; for "flipped" culling, "normal" is returned.

Definition at line 74 of file rendermesh.h.